micro_utils.dokka
0.15.1

# EitherFirst

@Serializable
data class EitherFirst<T1, T2>(val t1: T1) : Either<T1, T2>

This type Either will always have not nullable optionalT1

## Constructors

EitherFirst
Link copied to clipboard
fun <T1> EitherFirst(t1: T1)

## Properties

optionalT1
Link copied to clipboard
open override val optionalT1: Optional<T1>
optionalT2
Link copied to clipboard
open override val optionalT2: Optional<T2>
t1
Link copied to clipboard
val t1: T1
t1OrNull
Link copied to clipboard
open val t1OrNull: T1?
t2OrNull
Link copied to clipboard
open val t2OrNull: T2?

## Extensions

mapOnFirst
Link copied to clipboard
inline fun <T1, R> Either<T1, *>.mapOnFirst(block: (T1) -> R): R?
mapOnSecond
Link copied to clipboard
inline fun <T2, R> Either<*, T2>.mapOnSecond(block: (T2) -> R): R?